# Class JDialog

java.lang.Object
org.jmol.awtjs.swing.Component
org.jmol.awtjs.swing.Container
org.jmol.awtjs.swing.JDialog

Direct Known Subclasses:
  `JsDialog`

public class JDialog extends Container
There is really no need here for awt.Dialog. We would not use FileDialog in an HTML5 context anyway.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`defaultHeight`

### Fields inherited from class Container

`list`

### Fields inherited from class Component

`enabled, height, id, minHeight, minWidth, mouseListener, name, parent, renderHeight, renderWidth, text, width`

## Constructor Summary

Constructors
Constructor
Description
`JDialog()`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`JContentPane`
`getContentPane()`
`void`
`pack()`
`void`
`repaint()`
`void`
`setLocation(int[] loc)`
`void`
`setTitle(String title)`
`void`
`setVisible(boolean tf)`
`void`
`setZIndex(int zIndex)`
`void`
`toFront()`
`String`
`toHTML()`
`void`
`validate()`

### Methods inherited from class Container

`add, addComponent, getComponent, getComponentCount, getComponents, getSubcomponentHeight, getSubcomponentWidth, insertComponent, remove, removeAll`

### Methods inherited from class Component

`addMouseListener, getCSSstyle, getHeight, getName, getParent, getText, getWidth, isEnabled, isVisible, newID, setBackground, setEnabled, setMinimumSize, setName, setParent, setPreferredSize, setText`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### defaultHeight

protected int defaultHeight

## Constructor Details

### JDialog

public JDialog()

## Method Details

### setZIndex

public void setZIndex(int zIndex)

### setLocation

public void setLocation(int[] loc)

### getContentPane

public JContentPane getContentPane()

### setTitle

public void setTitle(String title)

### pack

public void pack()

### validate

public void validate()

### setVisible

public void setVisible(boolean tf)

Overrides:
  `setVisible` in class `Component`

### dispose

public void dispose()

### repaint

public void repaint()

Overrides:
  `repaint` in class `Component`

### toHTML

public String toHTML()

Specified by:
  `toHTML` in class `Component`

### toFront

public void toFront()